Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterfaceNode

All Known Subinterfaces:
  IUserInterfaceControl, IUserInterfaceImage, IUserInterfaceLabel, IUserInterfaceScreen

Deprecated. This class is only supported for DHTML UIs Implemented by user interface object that allow interaction with functional companions. Oracle Configurator Runtime Behavior: Oracle Configurator provides a set of constant types for use by functional companion writers. Other implementations may provide their own types.

public interface IUserInterfaceNode

Field Summary
`static int` | `BOM_CONTROL` Deprecated. A DHTML Bill-of-material control
`static int` | `BUTTON` Deprecated. A DHTML button control
`static int` | `CHECK_BOX` Deprecated. A DHTML logic check box control
`static int` | `COMBO_BOX` Deprecated. A DHTML logic combo box control
`static int` | `CONNECT_OPTION` Deprecated.
`static int` | `CONNECTOR` Deprecated.
`static int` | `CONNECTOR_LIST` Deprecated.
`static int` | `DECIMAL_FIELD` Deprecated. A DHTML decimal input field control
`static int` | `IMAGE` Deprecated. A DHTML image control
`static int` | `INTEGER_FIELD` Deprecated. A DHTML integer input field control
`static int` | `LABEL` Deprecated. A DHTML label control
`static int` | `LOGIC_COUNT_BOX` Deprecated. A DHTML logic section list control, with count
`static int` | `MODEL_INSTANCE` Deprecated.
`static int` | `MODEL_INSTANCES_BOX` Deprecated.
`static int` | `OPTION` Deprecated. An option
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.
`static int` | `RESOURCE_FIELD` Deprecated. A DHTML resource field
`static int` | `SCREEN` Deprecated. A DHTML screen node
`static int` | `SELECTION_LIST` Deprecated. A DHTML logic selection list control
`static int` | `SELECTION_LIST_MUTEX` Deprecated. A DHTML mutexed, logic selection list control
`static int` | `TARGET_COMPONENT` Deprecated.
`static int` | `TEXT_FIELD` Deprecated. A DHTML text input field control
`static int` | `TOTAL_FIELD` Deprecated. A DHTML total field
`static int` | `TREELINK` Deprecated. A DHTML screen link node
`static int` | `UINODE` Deprecated. A UINODE of unspecified type

Method Summary
`java.lang.String` | `getName()` Deprecated. Returns the internal name of the user interface node, which can be null.
`oracle.apps.cz.cio.IRuntimeNode` | `getRuntimeNode()` Deprecated. Returns the associated runtime model node, if any.
`int` | `getType()` Deprecated. Gets the type of the node
`java.lang.String` | `getUiCaption()` Deprecated. Returns the visible caption of the user interface node, if it has one.

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

### UINODE

    public static final int UINODE

  Deprecated.
  A UINODE of unspecified type

### BOM_CONTROL

    public static final int BOM_CONTROL

  Deprecated.
  A DHTML Bill-of-material control

### DECIMAL_FIELD

    public static final int DECIMAL_FIELD

  Deprecated.
  A DHTML decimal input field control

### INTEGER_FIELD

    public static final int INTEGER_FIELD

  Deprecated.
  A DHTML integer input field control

### RESOURCE_FIELD

    public static final int RESOURCE_FIELD

  Deprecated.
  A DHTML resource field

### TEXT_FIELD

    public static final int TEXT_FIELD

  Deprecated.
  A DHTML text input field control

### TOTAL_FIELD

    public static final int TOTAL_FIELD

  Deprecated.
  A DHTML total field

### IMAGE

    public static final int IMAGE

  Deprecated.
  A DHTML image control

### LABEL

    public static final int LABEL

  Deprecated.
  A DHTML label control

### SCREEN

    public static final int SCREEN

  Deprecated.
  A DHTML screen node

### TREELINK

    public static final int TREELINK

  Deprecated.
  A DHTML screen link node

### COMBO_BOX

    public static final int COMBO_BOX

  Deprecated.
  A DHTML logic combo box control

### SELECTION_LIST

    public static final int SELECTION_LIST

  Deprecated.
  A DHTML logic selection list control

### SELECTION_LIST_MUTEX

    public static final int SELECTION_LIST_MUTEX

  Deprecated.
  A DHTML mutexed, logic selection list control

### LOGIC_COUNT_BOX

    public static final int LOGIC_COUNT_BOX

  Deprecated.
  A DHTML logic section list control, with count

### CHECK_BOX

    public static final int CHECK_BOX

  Deprecated.
  A DHTML logic check box control

### BUTTON

    public static final int BUTTON

  Deprecated.
  A DHTML button control

### OPTION

    public static final int OPTION

  Deprecated.
  An option

### CONNECTOR

    public static final int CONNECTOR

  Deprecated.

### TARGET_COMPONENT

    public static final int TARGET_COMPONENT

  Deprecated.

### CONNECTOR_LIST

    public static final int CONNECTOR_LIST

  Deprecated.

### CONNECT_OPTION

    public static final int CONNECT_OPTION

  Deprecated.

### MODEL_INSTANCES_BOX

    public static final int MODEL_INSTANCES_BOX

  Deprecated.

### MODEL_INSTANCE

    public static final int MODEL_INSTANCE

  Deprecated.

Method Detail

### getType

    public int getType()

  Deprecated.
  Gets the type of the node
  Returns:
    The int type.

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the internal name of the user interface node, which can be null.

### getUiCaption

    public java.lang.String getUiCaption()

  Deprecated.
  Returns the visible caption of the user interface node, if it has one. Returns null if there is no caption.

### getRuntimeNode

    public oracle.apps.cz.cio.IRuntimeNode getRuntimeNode()

  Deprecated.
  Returns the associated runtime model node, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.